> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 어노테이션 큐 통계

> 여러 annotation 큐의 통계를 조회합니다.



## OpenAPI

````yaml /ko/weave/reference/service-api/openapi.json post /annotation_queues/stats
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /annotation_queues/stats:
    post:
      tags:
        - Annotation Queues
      summary: 어노테이션 큐 통계
      description: 여러 annotation 큐의 통계를 조회합니다.
      operationId: annotation_queues_stats_annotation_queues_stats_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AnnotationQueuesStatsReq'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AnnotationQueuesStatsRes'
          description: 성공 응답
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    AnnotationQueuesStatsReq:
      additionalProperties: false
      description: 여러 annotation queue의 통계를 조회하기 위한 요청입니다.
      properties:
        project_id:
          examples:
            - entity/project
          title: Project Id
          type: string
        queue_ids:
          description: 통계를 조회할 큐 ID 목록
          examples:
            - - 550e8400-e29b-41d4-a716-446655440000
              - 550e8400-e29b-41d4-a716-446655440001
          items:
            type: string
          title: Queue Ids
          type: array
      required:
        - project_id
        - queue_ids
      title: AnnotationQueuesStatsReq
      type: object
    AnnotationQueuesStatsRes:
      description: 여러 annotation queue의 통계를 포함한 응답입니다.
      properties:
        stats:
          items:
            $ref: '#/components/schemas/AnnotationQueueStatsSchema'
          title: Stats
          type: array
      required:
        - stats
      title: AnnotationQueuesStatsRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    AnnotationQueueStatsSchema:
      description: 단일 annotation queue의 통계입니다.
      properties:
        completed_items:
          description: 하나 이상의 주석 작성자가 완료했거나 건너뛴 항목 수
          title: Completed Items
          type: integer
        queue_id:
          description: 큐 ID
          examples:
            - 550e8400-e29b-41d4-a716-446655440000
          title: Queue Id
          type: string
        total_items:
          description: 큐의 총 항목 수
          title: Total Items
          type: integer
      required:
        - queue_id
        - total_items
        - completed_items
      title: AnnotationQueueStatsSchema
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````